package core.api.models.timemanager.taskSchedule.scheduleInfos;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.time.ZonedDateTime;

public class AdvancedScheduleFieldInfo extends ScheduleFieldInfo {

    @NotNull
    @JsonProperty
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private ZonedDateTime scheduleStartTime;
    @NotNull
    @JsonProperty
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private ZonedDateTime scheduleStopTime;

    public AdvancedScheduleFieldInfo(LocalDateTime scheduleStartTime, LocalDateTime scheduleStopTime) {
        this.scheduleStartTime = ZonedDateTime.from(scheduleStartTime);
        this.scheduleStopTime = ZonedDateTime.from(scheduleStopTime);
    }

    public AdvancedScheduleFieldInfo() {
    }

    public ZonedDateTime getScheduleStartTime() {
        return scheduleStartTime;
    }

    public void setScheduleStartTime(ZonedDateTime scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
    }

    public ZonedDateTime getScheduleStopTime() {
        return scheduleStopTime;
    }

    public void setScheduleStopTime(ZonedDateTime scheduleStopTime) {
        this.scheduleStopTime = scheduleStopTime;
    }
}
